package com.adealink.weparty.im.list.viewmodel

import com.adealink.frame.base.fastLazy
import com.adealink.frame.mvvm.viewmodel.BaseViewModel
import com.tencent.qcloud.tuikit.tuiconversation.presenter.ConversationPresenter
import kotlinx.coroutines.launch

class SessionListViewModel : BaseViewModel() {

    private val presenter: ConversationPresenter by fastLazy { ConversationPresenter() }

    fun clearMessage() {
        viewModelScope.launch {
            presenter.clearAllUnreadMessage()
        }
    }

}